/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <QDebug>

#include <nostalgia/world/world.hpp>

#include "consts.hpp"
#include "newworldwizard.hpp"
#include "worldeditor.hpp"

#include "worldstudioplugin.hpp"

namespace nostalgia::world {

using namespace studio;

QVector<WizardMaker> WorldEditorPlugin::newWizards(const Context *ctx) {
	return {
		{
			tr("Zone"),
			[ctx]() -> QVector<QWizardPage*> {
				return {new NewWorldWizard(ctx)};
			},
			[ctx](QWizard *w) {
				qDebug() << "creating Region";
				auto path = PATH_ZONES + w->field(NewWorldWizard::FIELD_WORLD_PATH).toString();
				Region rgn;
				ctx->project->mkdir(PATH_ZONES);
				ctx->project->writeObj(path, &rgn);
				return OxError(0);
			}
		}
	};
}

}
